Sommes et produits
Prev | Chapter 6. Programmation avec GEL | Next

## Sommes et produits

Syntax:

    sum <identifier> = <from> to <to> do <body>
    sum <identifier> = <from> to <to> by <increment> do <body>
    sum <identifier> in <matrix> do <body>
    prod <identifier> = <from> to <to> do <body>
    prod <identifier> = <from> to <to> by <increment> do <body>
    prod <identifier> in <matrix> do <body>

If you substitute `for` with `sum` or `prod`, then you will get a sum or a product instead of a `for` loop. Instead of returning the last value, these will return the sum or the product of the values respectively.

Si aucun contenu (body) est exécuté (par exemple, `sum i=1 to 0 do ...`) alors la convention standard est que `sum` renvoie 0 et `prod` renvoie 1.

For floating point numbers the same roundoff error protection is done as in the for loop. See the section called “Boucles pour (for)”.

Prev | Up | Next
Boucles | Home | Opérateurs de comparaison